Bug 444564 - can't use custom Xsession
Summary: can't use custom Xsession
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-29 04:12 UTC by Mikel Ward
Modified: 2015-01-14 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 11:51:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mikel Ward 2008-04-29 04:12:02 UTC
In Fedora 9, I can't see any way to run my own X session (~/.Xsession instead of
/etc/X11/xinit/Xsession).

Comment 1 Matthias Clasen 2008-04-29 12:49:18 UTC
Install xorg-x11-xinit-session, that should do what you want.

Comment 2 Mikel Ward 2008-05-14 02:20:43 UTC
Nope, that doesn't work.

My .xsession has exec xfce4-session, but when I log in from GDM and select the
"User script" session, I still get GNOME.

If I add a command to create a file in my .xsession, it is not created,
suggesting the file is being skipped completely.



Comment 3 Ray Strode [halfline] 2008-05-14 05:05:56 UTC
can you attach your ~/.xsession file and the output of ls -l ~/.xsession ?

Comment 4 Mikel Ward 2008-05-14 11:51:47 UTC
It was getting half-way thru and somehow getting blocked by skype.

Sorry for not debugging properly before re-opening.


Note You need to log in before you can comment on or make changes to this bug.